Page MenuHomePhabricator

Create the landing page for the SVG Translate tool
Closed, ResolvedPublic3 Story Points

Description

Value proposition (why do we need to do this)?

This ticket is for creating the landing page (discover view) for the tool. This is the screen where the user will be able to search for SVG files on Commons. For the purposes of breaking up the technical work into small chunks, this ticket does not cover the search functionality itself but it does include the input field and button.

User interface changes

Mock from prototype:

Logged out

Interface features:

  • Header
    • Heading: SVG Translate
    • Sub-heading: Help translate text labels on SVG files. Pick a file on commons to get started. This feature is in early testing. Learn more (link TBD) & leave feedback!
    • Login button on top right. Non-functional for this iteration.
  • Input label: File name (without 'File:' prefix) or URL:
  • Input box with placeholder: 100 Years War France 1435.svg (non functional input for this iteration)
  • Button labelled Translate
  • Footer
    • Line 1: Made by the Wikimedia Foundation's Community Tech team
    • Line 2: Licensed under (link to license) · View on GitHub (link to code) · Report a bug · Help (link TBD)
    • Powered by Toolforge logo. Links to ToolForge.
Does this need QA?

Yes

Event Timeline

Niharika created this task.Sep 6 2018, 8:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 6 2018, 8:31 PM
Prtksxna updated the task description. (Show Details)Sep 11 2018, 7:41 AM

@Prtksxna Since we are supporting file names and URLs, I think the label on that input should say something like File name (without "File:" prefix) or URL instead of File name from Commons.
Also, as on https://github.com/prtksxna/svgtranslate-prototype/issues/6 you might want to consider making the header smaller and the layout fluid to be consistent.

Prtksxna updated the task description. (Show Details)Sep 12 2018, 4:36 AM
Niharika updated the task description. (Show Details)Sep 13 2018, 5:08 PM
Niharika updated the task description. (Show Details)Sep 13 2018, 5:13 PM

@Prtksxna OAuth login and language settings will go in a separate ticket to avoid making this too big. I expanded the Interface changes section in the ticket to give you a sense of what I look for.
I think this ticket is ready to be estimated next week.

@Mooeypoo @aezell @Samwilson @MusikAnimal @MaxSem We'll be estimating this ticket in next week's estimation meeting. Let me know if it seems like anything's missing in the ticket description.
FYI this ticket is blocked on two tickets: T202768: Decide the tech stack for the SVG Translate tool and T203711: Prep work for SVG Translate tool.

Niharika set the point value for this task to 3.Sep 18 2018, 11:30 PM
Prtksxna removed Prtksxna as the assignee of this task.Sep 28 2018, 4:16 AM
Prtksxna added a subscriber: Prtksxna.
Niharika triaged this task as Medium priority.Oct 9 2018, 11:29 PM

PR merged; thanks @Mooeypoo
This is ready for QA: https://tools.wmflabs.org/svgtranslate-test/

This looks great, Sam. Looks nice in mobile too.

Can we make the tutorial not-dismissible per our conversation yesterday? There is no way to bring it back which isn't great. And sorry, the tutorial wasn't in the ticket description because it was added to the prototype later.

Niharika closed this task as Resolved.Oct 12 2018, 11:09 PM
Niharika moved this task from QA to Q2 2018-19 on the Community-Tech-Sprint board.

Looks great!